OGRE: Ogre::Grid3DPageStrategy Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Grid3DPageStrategy Class Reference
Optional Components » Paging

Page strategy which loads new pages based on a regular 3D grid. More...

`#include <OgreGrid3DPageStrategy.h>`

Inheritance diagram for Ogre::Grid3DPageStrategy:
[legend]

## Public Member Functions
| Grid3DPageStrategy (PageManager *manager)
| ~Grid3DPageStrategy ()
PageStrategyData * | createData () override
| Create a PageStrategyData instance containing the data specific to this PageStrategy.
void | destroyData (PageStrategyData *d) override
| Destroy a PageStrategyData instance containing the data specific to this PageStrategy.
PageID | getPageID (const Vector3 &worldPos, PagedWorldSection *section) override
| Get the page ID for a given world position.
void | notifyCamera (Camera *cam, PagedWorldSection *section) override
| Called when a camera is used for any kind of rendering.
void | updateDebugDisplay (Page *p, SceneNode *sn) override
| Update the contents of the passed in SceneNode to reflect the debug display of a given page.
Public Member Functions inherited from Ogre::PageStrategy
| PageStrategy (const String &name, PageManager *manager)
virtual | ~PageStrategy ()
virtual void | frameEnd (Real timeElapsed, PagedWorldSection *section)
| Called when the frame ends.
virtual void | frameStart (Real timeSinceLastFrame, PagedWorldSection *section)
| Called when the frame starts.
PageManager * | getManager () const
const String & | getName () const

## Detailed Description

Page strategy which loads new pages based on a regular 3D grid.

The grid can be up to 1024 x 1024 x 1024 cells in size. PageIDs are generated like this: (slice*1024 + row) * 1024 + col. The grid is centred around the grid origin, such that the boundaries of the cell around that origin are [-CellSize/2, CellSize/2)

The documentation for this class was generated from the following file:

- OgreGrid3DPageStrategy.h